List Contract Templates
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_templates \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_templates"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"fields": [
{}
],
"schema": {},
"submitters": [
{}
],
"preferences": {},
"labels": [
"<string>"
],
"documents": [
{
"id": 123,
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"signed_uuid": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{}Contract Templates
List Contract Templates
List all active contract templates in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
contract_templates
List Contract Templates
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_templates \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_templates"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"fields": [
{}
],
"schema": {},
"submitters": [
{}
],
"preferences": {},
"labels": [
"<string>"
],
"documents": [
{
"id": 123,
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"signed_uuid": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{}Authorizations
Path Parameters
The numeric ID of the account
Query Parameters
Search term for template name